#-------------------------------------------------
#
# Project created by QtCreator 2024-10-30T15:56:33
#
#-------------------------------------------------

QT       += core gui
QT       += charts
QT       += network
greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = HX_CoalFlowDetect
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

CONFIG += c++11

SOURCES += \
    controller/coaldistributmodbusthread.cpp \
        main.cpp \
        mainwindow.cpp \
        view/beltspeedlinewidget.cpp \
        view/coaldistributbarchartwidget.cpp \
        view/coalstatisticschartwidget.cpp\
        component/ZDateEdit/dateCommonInfo.cpp\
        component/ZDateEdit/zdateedit.cpp\
        component/ZDateEdit/zdatetimeedit.cpp\
        component/ZDateEdit/ztimeedit.cpp\

HEADERS += \
    controller/coaldistributmodbusthread.h \
        mainwindow.h \
        view/beltspeedlinewidget.h \
        view/coaldistributbarchartwidget.h \
        view/coalstatisticschartwidget.h\
        component/ZDateEdit/dateCommonInfo.h\
        component/ZDateEdit/zdateedit.h\
        component/ZDateEdit/zdatetimeedit.h\
        component/ZDateEdit/ztimeedit.h\


FORMS += \
        mainwindow.ui \
        view/coalstatisticschartwidget.ui


# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    resource.qrc

RC_ICONS = logo.ico

